$(function(){
$current_main_company='';
$current_sub_depart='';


$("#main_company_list").live("change",function(data){
//alert("sa");	

$(".over_loading").show();
$current_main_company=$("#main_company_list option:selected").attr("id");	
$("#sub_depart_list").load("ajax_show_sub_depart.php",({"sub_depart":$current_main_company}),function(data){
//alert(data);
$(".over_loading").hide();
});
//alert($current_main_company);

});

$(".sub_depart").live("click",function(){
$current_sub_depart=$(this).attr("id");
	
});




//اضافة وظيفة رئيسية

$("#add_main_company").click(function(){
job_name=prompt("ادخل اسم المهنة");	
if(job_name==''){alert("لابد من ادخال اسم المهنة");exit();}
job_code=prompt("ادخل كود المهنة");	
$(".over_loading").show();
$.post("ajax_add_job.php",
({"job_code":job_code,"job_name":job_name,"sub":0}),
function(data){
x="<option class='main_company' id='"+parseInt(data)+"' code='"+job_code+"'>"+job_name+"( "+job_code+" )"+"</option>";
$("#main_company_list").append(x);	
//alert(data);
$current_main_company='';
$current_sub_depart='';
$(".over_loading").hide();
});


});



//اضافة وظيفة فرعية


$("#add_sub_depart").live("click",function(){
if($current_main_company==''){alert("اختار المهنة المراد عرض المهن المتفرعة منها من القائمة الرئيسية ");exit();}		
job_name=prompt("ادخل اسم المهنة الفرعية");	
if(job_name==''){alert("لابد من ادخال اسم المهنة الفرعية");exit();}
job_code=prompt(" ادخل كود المهنة الفرعية");	
if(job_name==''){alert("لابد من ادخال كود المهنة الفرعية");exit();}
//alert($current_main_company);
$(".over_loading").show();
$.post("ajax_add_job.php",{"job_code":job_code,"job_name":job_name,"sub":$current_main_company},
function(data){
x="<option class='sub_depart' id='"+parseInt(data)+"' code='"+job_code+"'>"+job_name+"( "+job_code+" )"+"</option>";
//alert(x);
$("#sub_depart_list").append(x);
//alert(data);	
$(".over_loading").hide();
});


});


//تعديل وظيفة رئيسية



$("#edit_main_company").live("click",function(){
if($current_main_company==''){alert("اختار المهنة المراد تعديلها من القائمة الرئيسيسة ");exit();}	
job_name=prompt("ادخل اسم المهنة");	
if(job_name==''){alert("لابد من ادخال اسم المهنة");exit();}
job_code=prompt("ادخل كود المهنة");	
$(".over_loading").show();

//alert($current_main_company);
$.post("ajax_edit_job.php",
{"job_code":job_code,"job_name":job_name,"id":$current_main_company},
function(data){
$(".main_company[id='"+$current_main_company+"']").attr("code",job_code);
$(".main_company[id='"+$current_main_company+"']").text(job_name);
$(".over_loading").hide();
//alert(data);
});


});

//تعديل وظيفة فرعية



$("#edit_sub_depart").live("click",function(){
if($current_sub_depart==''){alert("اختار المهنة المراد تعديلها من القائمة الفرعية ");exit();}	
job_name=prompt("ادخل اسم المهنة الفرعية");	
if(job_name==''){alert("لابد من ادخال اسم المهنة");exit();}
job_code=prompt("ادخل كود المهنة");	
$(".over_loading").show();

//alert($current_sub_depart);

$.post("ajax_edit_job.php",
{"job_code":job_code,"job_name":job_name,"id":$current_sub_depart},
function(data){
$(".sub_depart[id='"+$current_sub_depart+"']").attr("code",job_code);
$(".sub_depart[id='"+$current_sub_depart+"']").text(job_name);
$(".over_loading").hide();
//alert(data);
});


});



//الغاء قائمة رئيسية

$("#delete_main_company").live("click",function(){
if($current_main_company==''){alert("اختار المهنة المراد الغائها من القائمة الرئيسية ");exit();}
$(".over_loading").show();
$.post("ajax_delete_job.php",({"id":$current_main_company,"type":"main"}),
function(data){
$(".main_company[id='"+$current_main_company+"']").hide();
$current_main_company='';
$current_sub_depart='';
//alert("تم الالغاء")	;
//alert(data);
$(".over_loading").hide();
});

});


//الغاء قائمة رئيسية



$("#delete_sub_depart").click(function(){
if($current_main_company==''){alert("اختار المهنة الفرعية المراد الغائها من القائمة الرئيسية ");exit();}
$(".over_loading").show();
$.post("ajax_delete_job.php",({"id":$current_sub_depart,"type":"sub"}),
function(){
$(".sub_depart[id='"+$current_sub_depart+"']").hide();
//alert("تم الالغاء")	;

$current_sub_depart='';
$(".over_loading").hide();
});

});


		
		
		
		
$("#polls_questions_ids").bind("change",function(){



poll_id=$(this).val();

$("#load_wait").show();

$("#result_view").load('load_polls_questions_search.php',
{
"poll_id":poll_id
},function(){
	
	$(".fa-plus-circle").attr("href","add_polls_questions.php?id="+poll_id);
	//alert("xxx");


	
$("#load_wait").hide();

});	


});





	
});	